Package org.eclipse.cdt.core.settings.model

# Class CMacroEntry

java.lang.Object
org.eclipse.cdt.core.settings.model.ACSettingEntry
org.eclipse.cdt.core.settings.model.CMacroEntry

All Implemented Interfaces:
  `ICLanguageSettingEntry`, `ICMacroEntry`, `ICSettingEntry`

public final class CMacroEntry extends ACSettingEntry implements ICMacroEntry
Representation in the project model of macro settings entries. As an example, those are supplied by a gcc compiler with option "-D".

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`CMacroEntry(String name, String value, int flags)`
This constructor is discouraged to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`contentsToString()`
`boolean`
`equals(Object obj)`
`boolean`
`equalsByContents(ICSettingEntry entry)`
`final int`
`getKind()`
`String`
`getValue()`
`int`
`hashCode()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACSettingEntry

`checkFlags, codeForContentsKey, codeForNameKey, equalsByName, getByNameMatchFlags, getFlags, getName, isBuiltIn, isReadOnly, isResolved, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByName, getFlags, getName, isBuiltIn, isReadOnly, isResolved`

## Constructor Details

### CMacroEntry

public CMacroEntry(String name, String value, int flags)
This constructor is discouraged to be referenced by clients. Instead, use pooled entries with CDataUtil.createCMacroEntry(name, value, flags).

Parameters:
  `name` - - name of the macro.
  `value` - - value of the macro.
  `flags` - - bitwise combination of `ICSettingEntry` flags.

## Method Details

### getValue

public String getValue()

Specified by:
  `getValue` in interface `ICMacroEntry`
Specified by:
  `getValue` in interface `ICSettingEntry`
Overrides:
  `getValue` in class `ACSettingEntry`

### getKind

public final int getKind()

Specified by:
  `getKind` in interface `ICSettingEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ACSettingEntry`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ACSettingEntry`

### equalsByContents

public boolean equalsByContents(ICSettingEntry entry)

Specified by:
  `equalsByContents` in interface `ICSettingEntry`
Overrides:
  `equalsByContents` in class `ACSettingEntry`

### contentsToString

protected String contentsToString()

Specified by:
  `contentsToString` in class `ACSettingEntry`